dracut/0013-40network-always-start-netroot-in-ifup.sh.patch
Hannes Reinecke 3ca4ad45d0 Accepting request 431190 from home:hreinecke:branches:Base:System
- 90multipath: parse commandline option 'multipath=off' (bsc#1001691)
  *add 0307-90multipath-parse-kernel-commandline-option-multipat.patch

- 95fcoe: do not start fcoemon twice (bsc#1001512)
  *add 0225-95fcoe-do-not-start-fcoemon-twice.patch

- Reformat patch headers:
  *modify 0199-rd-iscsi-waitnet-default-false.patch
  *modify 0200-dracut_fix_multipath_without_config.patch
  *modify 0210-add_fcoe_uefi_check.patch
  *modify 0212-fcoe_reorder_init_path.patch
- Rediff patches to apply cleanly:
  *modify 0124-40network-Update-iBFT-scanning-code-to-handle-IPv6.patch
  *modify 0133-Allow-multiple-configurations-per-network-interface-.patch
  *modify 0170-iscsi-skip-ibft-invalid-dhcp.patch
  *modify 0218-40network-allow-persistent-interface-names.patch
- Remove spurious whitespaces:
  *modify 0169-network_set_mtu_macaddr_for_dhcp.patch
- 40network: print out correct prefix (bsc#996141)
  *modify 0125-40network-separate-mask-and-prefix.patch
- 95iscsi: setup bnx2i offload connection correctly (bsc#997598)
  *add 0224-95iscsi-setup-bnx2i-offload-connections-properly.patch
- Rename patches to match sequence number:
  *old: 0019-40network-Fix-race-condition-when-wait-for-networks.patch
  *new: 0012-40network-Fix-race-condition-when-wait-for-networks.patch
  *old: 0066-40network-always-start-netroot-in-ifup.sh.patch
  *new: 0013-40network-always-start-netroot-in-ifup.sh.patch

- rd.iscsi.waitnet should default to false in order for dracut to
  wait for the network devices (bsc#997598)

OBS-URL: https://build.opensuse.org/request/show/431190
OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=267
2016-10-07 08:44:57 +00:00

65 lines
1.7 KiB
Diff

From a9a919e44e0ce5cc5bc4167889a31d87626058e4 Mon Sep 17 00:00:00 2001
From: Hannes Reinecke <hare@suse.de>
Date: Wed, 4 Jun 2014 12:04:10 +0200
Subject: 40network: always start netroot in ifup.sh
It's totally irrelevant how the network is configured when
trying to setup netroot. It only matters if it could be
configured at all.
So change the logic the check for correct network setup
and then start netroot.
References: bnc#881235
Signed-off-by: Hannes Reinecke <hare@suse.de>
---
modules.d/40network/ifup.sh | 29 +++++++++++------------------
1 file changed, 11 insertions(+), 18 deletions(-)
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
index 109fb4b..31a04bf 100755
--- a/modules.d/40network/ifup.sh
+++ b/modules.d/40network/ifup.sh
@@ -373,27 +373,20 @@ for p in $(getargs ip=); do
do_static ;;
esac
done
- ret=$?
- > /tmp/net.${netif}.up
+ if [ $? -eq 0 ]; then
+ > /tmp/net.${netif}.up
- if [ -e /sys/class/net/${netif}/address ]; then
- > /tmp/net.$(cat /sys/class/net/${netif}/address).up
- fi
+ if [ -e /sys/class/net/${netif}/address ]; then
+ > /tmp/net.$(cat /sys/class/net/${netif}/address).up
+ fi
- case $autoconf in
- dhcp|on|any|dhcp6)
- ;;
- *)
- if [ $ret -eq 0 ]; then
- setup_net $netif
- source_hook initqueue/online $netif
- if [ -z "$manualup" ]; then
- /sbin/netroot $netif
- fi
- fi
- ;;
- esac
+ setup_net $netif
+ source_hook initqueue/online $netif
+ if [ -z "$manualup" ]; then
+ /sbin/netroot $netif
+ fi
+ fi
exit 0
done
--
2.6.6